'''Frame management
'''
import os
myFrames={}
	
def getRowCol(imageName):
	return [myFrames[imageName]['framesInaRow'],myFrames[imageName]['framesInaCol']]

def getFrames(imageName, action='stop'):
	return myFrames[imageName][action]

'''for every image specify the name, total frames per row and column, and the frames belonging to every action, as in the sample:

imageName='sample.png'
myFrames[imageName]={}
myFrames[imageName]['framesInaRow']=8
myFrames[imageName]['framesInaCol']=6
myFrames[imageName]['stop']=[1]
myFrames[imageName]['win']=[1,2,3]
myFrames[imageName]['lose']=[1,4,5]
myFrames[imageName]['walk']=[6,7,8]
myFrames[imageName]['fight_defense']=[15,16,15]
myFrames[imageName]['fight_attack_hit']=[15,17,18,17,15]
myFrames[imageName]['fight_attack_fail']=[15,17,19,17,15]
myFrames[imageName]['fight_hit']=[15,20,15]
etc etc...
'''

def initialize():
	imageName='obj_pheega_color.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=4
	myFrames[imageName]['framesInaCol']=3
	myFrames[imageName]['stop']=[1]
	myFrames[imageName]['fly']=[1]
	myFrames[imageName]['hit']=[2]
	myFrames[imageName]['change_lane_up']=[3]
	myFrames[imageName]['change_lane_down']=[4]
	myFrames[imageName]['death']=[5,6,7,8,9]

	imageName='obj_colormix.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=2
	myFrames[imageName]['framesInaCol']=1
	myFrames[imageName]['stop']=[1]	
	myFrames[imageName]['2']=[1]	
	myFrames[imageName]['3']=[2]


	imageName='obj_mine.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=4
	myFrames[imageName]['framesInaCol']=2
	myFrames[imageName]['stop']=[1,5]	
	myFrames[imageName]['death']=[2,3,4]
	
	imageName='obj_mecha_dog.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=4
	myFrames[imageName]['framesInaCol']=1
	myFrames[imageName]['stop']=[1]	
	myFrames[imageName]['death']=[2,3,4]	
	
	imageName='obj_mecha_bug.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=4
	myFrames[imageName]['framesInaCol']=1
	myFrames[imageName]['stop']=[1]	
	myFrames[imageName]['death']=[2,3,4]	

	imageName='obj_brain.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=3
	myFrames[imageName]['framesInaCol']=1
	myFrames[imageName]['stop']=[1]	
	myFrames[imageName]['death']=[2,3]		
	
	imageName='obj_trooper.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=3
	myFrames[imageName]['framesInaCol']=1
	myFrames[imageName]['stop']=[1]	
	myFrames[imageName]['death']=[2,3]
	
	imageName='obj_fake_pheega.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=4
	myFrames[imageName]['framesInaCol']=3
	myFrames[imageName]['stop']=[4]
	myFrames[imageName]['fly']=[4]
	myFrames[imageName]['hit']=[3]
	myFrames[imageName]['change_lane_up']=[2]
	myFrames[imageName]['change_lane_down']=[1]
	myFrames[imageName]['death']=[8,7,6,5,12]

	imageName='obj_maintenance_bot.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=4
	myFrames[imageName]['framesInaCol']=1
	myFrames[imageName]['stop']=[1,2]	
	myFrames[imageName]['death']=[3,4]

	imageName='obj_boss.png'
	myFrames[imageName]={}
	myFrames[imageName]['framesInaRow']=3
	myFrames[imageName]['framesInaCol']=1
	myFrames[imageName]['stop']=[1]
	myFrames[imageName]['shield']=[2]
	myFrames[imageName]['death']=[3]

	